var system = require("../../system")
var settings = require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');
const moment = require('moment');
class EcompanymainCtl extends CtlBase {
  constructor() {
    super(CtlBase.getServiceName(EcompanymainCtl));
  }

  async all(queryobj, qobj, req) {
    try {
      var all = await this.service.findAll();
      return system.getResult2(all);
    } catch (e) {
      console.log(e);
      return system.getErrResult2("您的网络不稳, 请稍后重试");
    }
  }
}
module.exports = EcompanymainCtl;